Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class AdjustmentDescriptionImpl

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.AdjustmentDescriptionImpl

All Implemented Interfaces
  AdjustmentDescription, Serializable

Direct Known Subclasses:
  UnitAdjustmentDescriptionImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public class AdjustmentDescriptionImpl

extends Object
implements AdjustmentDescription

See Also
  Serialized Form

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering

Constructor Summary
`AdjustmentDescriptionImpl(AdjustmentType type, String currency, Money initialPrice, Money endPrice, Money adjustmentAmount, String computation, String reason, String id)` Deprecated See BEA Commerce product offering

Method Summary
`Money` | `adjustmentAmount()` Deprecated See BEA Commerce product offering
`String` | `computation()` Deprecated See BEA Commerce product offering
`Money` | `endPrice()` Deprecated See BEA Commerce product offering
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`String` | `id()` Deprecated See BEA Commerce product offering
`Money` | `initialPrice()` Deprecated See BEA Commerce product offering
`String` | `reason()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(Iterator it, int size)` Deprecated See BEA Commerce product offering
`AdjustmentType` | `type()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### AdjustmentDescriptionImpl

    public AdjustmentDescriptionImpl(AdjustmentType type,
                                     String currency,
                                     Money initialPrice,
                                     Money endPrice,
                                     Money adjustmentAmount,
                                     String computation,
                                     String reason,
                                     String id)

  Deprecated See BEA Commerce product offering

Method Detail

### type

    public AdjustmentType type()

  Deprecated See BEA Commerce product offering

  Specified by:
    `type` in interface `AdjustmentDescription`
  Returns
    the type of this adjustment
  See Also
    `AdjustmentType`

### initialPrice

    public Money initialPrice()

  Deprecated See BEA Commerce product offering

  Specified by:
    `initialPrice` in interface `AdjustmentDescription`

### endPrice

    public Money endPrice()

  Deprecated See BEA Commerce product offering

  Specified by:
    `endPrice` in interface `AdjustmentDescription`

### adjustmentAmount

    public Money adjustmentAmount()

  Deprecated See BEA Commerce product offering

  Specified by:
    `adjustmentAmount` in interface `AdjustmentDescription`

### computation

    public String computation()

  Deprecated See BEA Commerce product offering

  Specified by:
    `computation` in interface `AdjustmentDescription`

### reason

    public String reason()

  Deprecated See BEA Commerce product offering

  Specified by:
    `reason` in interface `AdjustmentDescription`

### id

    public String id()

  Deprecated See BEA Commerce product offering

  Specified by:
    `id` in interface `AdjustmentDescription`

### getCurrency

    public String getCurrency()

  Deprecated See BEA Commerce product offering

  Specified by:
    `getCurrency` in interface `AdjustmentDescription`

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Overrides:
    `toString` in class `Object`

### toString

    public static String toString(Iterator it,
                                  int size)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved